# Class JoinFixActionParameter

java.lang.Object
uk.ac.starlink.task.Parameter<JoinFixActionParameter.Fixer>
uk.ac.starlink.task.AbstractChoiceParameter<JoinFixActionParameter.Fixer, JoinFixActionParameter.Fixer>
uk.ac.starlink.task.ChoiceParameter<JoinFixActionParameter.Fixer>
uk.ac.starlink.ttools.task.JoinFixActionParameter

public class JoinFixActionParameter extends uk.ac.starlink.task.ChoiceParameter<JoinFixActionParameter.Fixer>
Parameter which can control how column names are renamed if they would otherwise be duplicated in an output table.

Since:
  20 Nov 2007
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`JoinFixActionParameter.Fixer`
Helper class which defines how suffixes are turned into JoinFixActions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JoinFixActionParameter.Fixer`
`ALL`
`static final JoinFixActionParameter.Fixer`
`DUPS`
`static final JoinFixActionParameter.Fixer`
`NONE`

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`JoinFixActionParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.StringParameter`
`createSuffixParameter(String numLabel)`
Returns a new parameter, identified by a numeric-like label, by which per-table suffix strings can be specified.
`uk.ac.starlink.task.StringParameter`
`createSuffixParameter(String name, String descrip, String dflt)`
Returns a new parameter by which per-table suffix strings can be specified.
`uk.ac.starlink.table.JoinFixAction`
`getJoinFixAction(uk.ac.starlink.task.Environment env, uk.ac.starlink.task.StringParameter suffixParam)`
Returns the action specified by this parameter for a given label.
`uk.ac.starlink.table.JoinFixAction[]`
`getJoinFixActions(uk.ac.starlink.task.Environment env, int nin)`
Returns an array of fix actions, one for each of a list of numbered input tables.

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`getUsage, objectToString, setDefaultOption, setUsage, stringToObject`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringifyOption, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NONE

public static final JoinFixActionParameter.Fixer NONE

### DUPS

public static final JoinFixActionParameter.Fixer DUPS

### ALL

public static final JoinFixActionParameter.Fixer ALL

## Constructor Details

### JoinFixActionParameter

public JoinFixActionParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### getJoinFixAction

public uk.ac.starlink.table.JoinFixAction getJoinFixAction(uk.ac.starlink.task.Environment env, uk.ac.starlink.task.StringParameter suffixParam) throws uk.ac.starlink.task.TaskException
Returns the action specified by this parameter for a given label.

Parameters:
  `env` - execution environment
  `suffixParam` - parameter supplying suffix value (got from a `createSuffixParameter` method)
Throws:
  `uk.ac.starlink.task.TaskException`

### getJoinFixActions

public uk.ac.starlink.table.JoinFixAction[] getJoinFixActions(uk.ac.starlink.task.Environment env, int nin) throws uk.ac.starlink.task.TaskException
Returns an array of fix actions, one for each of a list of numbered input tables. This is a convenience method that relies on conventional naming of suffix parameters.

Parameters:
  `env` - execution environment
  `nin` - size of fix action array
Returns:
  `nin`-element array of fix actions ("1", "2", ...)
Throws:
  `uk.ac.starlink.task.TaskException`

### createSuffixParameter

public uk.ac.starlink.task.StringParameter createSuffixParameter(String numLabel)
Returns a new parameter, identified by a numeric-like label, by which per-table suffix strings can be specified.

Parameters:
  `numLabel` - table identifier such as "1"

### createSuffixParameter

public uk.ac.starlink.task.StringParameter createSuffixParameter(String name, String descrip, String dflt)
Returns a new parameter by which per-table suffix strings can be specified.

Parameters:
  `name` - parameter name
  `descrip` - phrase identifying table that this parameter controls (such as "table 3")
  `dflt` - default value